Functions dealing with Wayland Drag-n-Drop
Ecore » Ecore_Wayland - Wayland integration

Functions to interface with Wayland Drag-n-Drop. More...

## Functions

EAPI Eina_Bool | ecore_wl_dnd_selection_set (Ecore_Wl_Input *input, const char **types_offered)
EAPI Eina_Bool | ecore_wl_dnd_selection_get (Ecore_Wl_Input *input, const char *type)
EAPI Eina_Bool | ecore_wl_dnd_selection_owner_has (Ecore_Wl_Input *input)
EAPI Eina_Bool | ecore_wl_dnd_selection_clear (Ecore_Wl_Input *input)
EAPI void | ecore_wl_dnd_drag_start (Ecore_Wl_Input *input, Ecore_Wl_Window *win, Ecore_Wl_Window *dragwin, int x, int y, int w, int h)
EAPI void | ecore_wl_dnd_drag_end (Ecore_Wl_Input *input)
EAPI Eina_Bool | ecore_wl_dnd_drag_get (Ecore_Wl_Input *input, const char *type)
EAPI void | ecore_wl_dnd_drag_types_set (Ecore_Wl_Input *input, const char **types_offered)
EAPI struct wl_array * | ecore_wl_dnd_drag_types_get (Ecore_Wl_Input *input)
EAPI void | ecore_wl_server_mode_set (Eina_Bool on)
| Enables/disables server mode.

## Detailed Description

Functions to interface with Wayland Drag-n-Drop.

## Function Documentation

## ecore_wl_dnd_selection_set()

Eina_Bool ecore_wl_dnd_selection_set | ( | Ecore_Wl_Input * | input,
|  | const char ** | types_offered )

Returns
  false on error, true otherwise

Since
  1.8
  1.8

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_wl_dnd_set_selection().

## ecore_wl_dnd_selection_get()

Eina_Bool ecore_wl_dnd_selection_get | ( | Ecore_Wl_Input * | input,
|  | const char * | type )

Returns
  false if type not found or on error, true otherwise

Since
  1.8
  1.8

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_wl_dnd_get_selection().

## ecore_wl_dnd_selection_owner_has()

Eina_Bool ecore_wl_dnd_selection_owner_has | ( | Ecore_Wl_Input * | input | ) |

Returns
  true if input has a selection source, false otherwise or on error

Since
  1.8
  1.8

References EINA_FALSE.

Referenced by ecore_wl_dnd_selection_has_owner().

## ecore_wl_dnd_selection_clear()

Eina_Bool ecore_wl_dnd_selection_clear | ( | Ecore_Wl_Input * | input | ) |

Returns
  false on error, true otherwise

Since
  1.8
  1.8

References EINA_FALSE, and EINA_TRUE.

## ecore_wl_dnd_drag_start()

void ecore_wl_dnd_drag_start | ( | Ecore_Wl_Input * | input,
|  | Ecore_Wl_Window * | win,
|  | Ecore_Wl_Window * | dragwin,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h )

Since
  1.8

References EINA_UNUSED.

## ecore_wl_dnd_drag_end()

void ecore_wl_dnd_drag_end | ( | Ecore_Wl_Input * | input | ) |

Since
  1.8

References ecore_event_add(), and ECORE_WL_EVENT_DND_END.

## ecore_wl_dnd_drag_get()

Eina_Bool ecore_wl_dnd_drag_get | ( | Ecore_Wl_Input * | input,
|  | const char * | type )

Returns
  false if type not found or on error, true otherwise

Since
  1.8
  1.8

References EINA_FALSE, and EINA_TRUE.

## ecore_wl_dnd_drag_types_set()

void ecore_wl_dnd_drag_types_set | ( | Ecore_Wl_Input * | input,
|  | const char ** | types_offered )

Since
  1.8

## ecore_wl_dnd_drag_types_get()

struct wl_array * ecore_wl_dnd_drag_types_get | ( | Ecore_Wl_Input * | input | ) |

Returns
  the data types being offered for drag-and-drop, or NULL on error

Since
  1.8
  1.8

## ecore_wl_server_mode_set()

EAPI void ecore_wl_server_mode_set | ( | Eina_Bool | on | ) |

Enables/disables server mode.

Since
  1.8

With this enabled, the compositor acts as a Wayland server, iterating the display and dispatching events. With it disabled, the process is handled as a client.